Subject: bug#8314: 24.0.50; emacsclient -c does the wrong thing when compiled without X

From: Chong Yidong <[email-masked]>
Date: Sat, 04 Jun 2011 17:35:53 -0400

PJ Weisberg <[email-masked]> writes:

>>> I think that if there's no useable graphical display for *any*
>>> reason, '-c' should be a synonym for '-t'.
>>
>> I'm not at all sure that's TRT.  Next you will be saying that if -t
>> is not available either, emacsclient should start a new Emacs
>> session.
>
> Really I just want to say, "open whatever type of frame Emacs would
> normally open."
>
> In the script I was writing when I wrote this report I eventually used
> `if emacs -Q --batch --eval "(kill-emacs (if (featurep 'x) 0 1))"' to
> decide whether to creat a graphical frame or use --tty.

What if the user wants emacsclient to exit if no graphical frame can be
created?